CVE-2020-28502

MEDIUM

Description

This affects the package xmlhttprequest before 1.7.0; all versions of package xmlhttprequest-ssl. Provided requests are sent synchronously (async=False on xhr.open), malicious user input flowing into xhr.send could result in arbitrary code being injected and run.

References

https://github.com/driverdan/node-XMLHttpRequest/blob/1.6.0/lib/XMLHttpRequest.js%23L480

https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSNPM-1082937

https://snyk.io/vuln/SNYK-JAVA-ORGWEBJARSNPM-1082938

https://snyk.io/vuln/SNYK-JS-XMLHTTPREQUEST-1082935

https://snyk.io/vuln/SNYK-JS-XMLHTTPREQUESTSSL-1082936

Details

Source: MITRE

Published: 2021-03-05

Updated: 2021-03-16

Type: CWE-94

Risk Information

CVSS v2.0

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 8.1

Vector: CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 2.2

Severity: HIGH